/*****************************************************************************/
/* Name    : cam1900dll.h                                                    */
/* Author  : JUB                                                             */
/* Date    : 16/11/2015                                                      */
/* Info    : Header of cam600dll                                             */
/* Version : 0.01                                                            */
/*****************************************************************************/
#pragma unmanaged
#include <vector>
#include <string>

// Gigabit Functions

extern "C" __declspec(dllexport) int __cdecl CAM_IPScan			();
extern "C" __declspec(dllexport) int __cdecl CAM_IPScanList		(char *s);
extern "C" __declspec(dllexport) int __cdecl CAM_Connect		(char *s,	int inode);
extern "C" __declspec(dllexport) int __cdecl CAM_DisConnect		(int inode);
extern "C" __declspec(dllexport) int __cdecl CAM_SendCommand	(int inode, char *cmd, char *ret);
extern "C" __declspec(dllexport) int __cdecl CAM_GetBuffer		(int inode, char *buf, int sizeX, int sizeY);


// Error codes
#define CAMDLL_OK							 0	 //	Successfull operation.
#define CAMDLL_ERROR_NETWORK                 1   //  Problem concerning network
#pragma managed